Skip to content

Renew Token
Deprecated

Request

Renews an API token issued to a developer app.

⚠️ Deprecation Notice: This endpoint is deprecated. Use personal access tokens instead. To extend a token's expiry, use PUT /authn2/v0/personal-access-token/{personal_access_token_id}.

Security
esper_cloud_api_apiKey
Path
enterprise_idstring, (uuid)required

A UUID string identifying this enterprise.

developerapp_idstring, (uuid)required

A UUID string identifying the developerapp

Query
access_tokenstringrequired

Token to be renewed

cURL
curl -i -X POST \
  'https://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/developerapp/{developerapp_id}/renew-token/?access_token=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

successful operation

Bodyapplication/json
idstring, (integer)(Token id)read-only

Id of the token

userstring(User id)read-only

Id of the user resource

enterprisestring, (uuid)(Enterprise id)read-only

Id of the enterprise resource

tokenstring(API Token)read-only

API token for accessing esper APIs

expires_atstring, (date-time)(API token expiry)read-only

Date and time of when your API token will get expired

developerappstring, (uuid)(Developer app id)read-only

Id of the developer app resource that you created using the esper dev console

scopestring(Scope of API token)read-only

This defines what access scopes your API token has

created_onstring, (date-time)(Created on)read-only

Date and time of when this resource was created

updated_onstring, (date-time)(Updated on)read-only

Date and time of when this resource was updated

Response
{ "id": "string", "user": "string", "enterprise": "796caaf9-a7de-4817-9ffa-39d04bf83de9", "token": "string", "expires_at": "2019-08-24T14:15:22Z", "developerapp": "1db6f35b-ff0e-4ed5-98aa-8a4ea01804ca", "scope": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }